Name:           musique
Version:        1.4
Release:        1%{?dist}
Summary:        A music player designed by and for people that love music

Group:          Applications/Multimedia
# Musique is GPL. The reason why a copy of the LGPL is included
# is that some files (some Qt utility classes) are LGPL.
License:        GPLv3+ and LGPLv2+
URL:            http://flavio.tordini.org/musique
Source0:        http://flavio.tordini.org/files/%{name}/%{name}.tar.gz
# Add a copy of the license LGPL because upstream removed it
Source1:        LICENSE.LGPL
Patch0:         %{name}-1.4-qtsingleapp.patch

BuildRequires:  qt-devel
BuildRequires:  taglib-devel
BuildRequires:  phonon-devel
BuildRequires:  qtsingleapplication-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Musique unclutters your music listening experience with a clean and innovative
interface. Musique automatically fixes misspellings in titles and artist names,
freeing you from the hassle of manually tagging your files.

Features:

* Look them in the face. Browse your collection by artists pictures and album
  covers.
* Lyrics. Musique will find and show the song lyrics in the Info View, hiding
  everything but what's related to the currently playing track.
* Browse folders and files. Browse your music the way you organized it.
* Playlists made simple. Musique has just a single playlist. It's always there
  on the right.

%prep
%setup -q -n %{name}

# Remove bundled copy of qtsingleapplication
rm -rf src/qtsingleapplication

# Use qtsingleapplication from Fedora
%patch0 -p0 -b .orig

# Add a copy of the license
cp %{SOURCE1} .

%build
%{_qt4_qmake} PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

# Delete wrong desktop file Category
desktop-file-install --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category=Music \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# There is a bug in find-lang.sh (see BZ #729336)
# heavily borrowed from /usr/lib/rpm/find-lang.sh
find %{buildroot} -type f -o -type l|sort|sed '
s:'"%{buildroot}"'::
s:\(.*/locale/\)\([^/_]\+\)\(.*\.qm$\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
/^$/d' > %{name}.lang

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc CHANGES COPYING LICENSE.LGPL TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/512x512/
# don't list the locales, just the folders that contain them
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/locale

%changelog
* Sat Dec 20 2014 Germán A. Racca <skytux@fedoraproject.org> - 1.4-1
- Updated to new upstream version 1.4
- Re-created patch to use system qtsingleapplication

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 13 2014 Rex Dieter <rdieter@fedoraproject.org> 1.3-3
- rebuild (qt/phonon)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Nov 17 2013 Germán A. Racca <skytux@fedoraproject.org> - 1.3-1
- Updated to new upstream version
- Fixed bogus date in %%changelog
- Re-created patch to use system qtsingleapplication
- Fixed include in lastfm.cpp and mediaview.cpp (patch dropped)
- Removed %%provides and %%obsoletes (introduced when name changed)
- Added a copy of the license LGPL because upstream removed it

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 12 2013 Germán A. Racca <skytux@fedoraproject.org> - 1.2.1-1
- Updated to new upstream version
- Patches re-created and re-named

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 30 2012 Germán A. Racca <skytux@fedoraproject.org> - 1.2-1
- Updated to new upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 25 2012 Germán A. Racca <skytux@fedoraproject.org> - 1.1-7
- Removed CXXFLAGS from build line

* Sat Apr 21 2012 Germán A. Racca <skytux@fedoraproject.org> - 1.1-6
- Dropped gcc-c++ from BR
- Removed bundled qtsingleapplication
- Added patch to use system qtsingleapplication
- Added qtsingleapplication-devel as BR
- Added desktop-file-utils as BR
- Removed wrong category form desktop file
- Dropped minitunes-1.0-gcc47.patch
- Added icon scriptlets
- Dropped INSTALL from %%doc
- Added patch to fix include in 2 cpp files

* Tue Apr 03 2012 Germán A. Racca <skytux@fedoraproject.org> - 1.1-5
- Fixed typo
- Added note for the patch

* Fri Mar 23 2012 Germán A. Racca <skytux@fedoraproject.org> - 1.1-4
- Package renamed to Musique
- Changed %%summary and %%description
- Upstream fixed some bugs

* Thu Mar 22 2012 Tom Callaway <spot@fedoraproject.org> - 1.0-3
- fix gcc 4.7 issue

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 17 2011 Germán A. Racca <skytux@fedoraproject.org> 1.0-1
- Updated to new version
- Added gcc-c++ as BR
- Using a workaround to include locales (see BZ #729336)

* Fri Jul 30 2010 Germán A. Racca <gracca@gmail.com> 0.1.1-3
- Added comment above license tag

* Thu Jul 29 2010 Germán A. Racca <gracca@gmail.com> 0.1.1-2
- Added cleaning of buildroot to %%install
- Removed unnecessary spaces from %%description

* Fri Jul 16 2010 German A. Racca <gracca@gmail.com> 0.1.1-1
- Initial release of RPM package

